netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
printer.h File Reference

Go to the source code of this file.

## Data Structures
struct | printer

## Macros
#define | p_cmd p_un.pu_cmd
#define | p_printer p_un.pu_pr.pr_printer
#define | p_operator p_un.pu_pr.pr_operator
#define | p_spool p_un.pu_pr.pr_spool
#define | p_pagecost p_un.pu_pr.pr_pagecost
#define | p_pagecost_msg p_un.pu_pr.pr_pagecost_msg
#define | p_lock p_un.pu_pr.pr_lock
#define | P_PIPED (1<<0)
#define | P_SPOOLED (1<<1)
#define | P_REGISTERED (1<<2)
#define | P_ACCOUNT (1<<3)
#define | P_KRB (1<<4)
#define | P_AUTH (1<<5)
#define | P_AUTH_PSSP (1<<6)
#define | P_AUTH_CAP (1<<7)
#define | P_CUPS (1<<8)
#define | P_CUPS_PPD (1<<9)
#define | P_CUPS_AUTOADDED (1<<10)
#define | P_FOOMATIC_HACK (1<<11)

## Variables
struct printer * | printer

## Macro Definition Documentation

## ◆ P_ACCOUNT

#define P_ACCOUNT (1<<3)

## ◆ P_AUTH

#define P_AUTH (1<<5)

## ◆ P_AUTH_CAP

#define P_AUTH_CAP (1<<7)

## ◆ P_AUTH_PSSP

#define P_AUTH_PSSP (1<<6)

## ◆ p_cmd

#define p_cmd p_un.pu_cmd

## ◆ P_CUPS

#define P_CUPS (1<<8)

## ◆ P_CUPS_AUTOADDED

#define P_CUPS_AUTOADDED (1<<10)

## ◆ P_CUPS_PPD

#define P_CUPS_PPD (1<<9)

## ◆ P_FOOMATIC_HACK

#define P_FOOMATIC_HACK (1<<11)

## ◆ P_KRB

#define P_KRB (1<<4)

## ◆ p_lock

#define p_lock p_un.pu_pr.pr_lock

## ◆ p_operator

#define p_operator p_un.pu_pr.pr_operator

## ◆ p_pagecost

#define p_pagecost p_un.pu_pr.pr_pagecost

## ◆ p_pagecost_msg

#define p_pagecost_msg p_un.pu_pr.pr_pagecost_msg

## ◆ P_PIPED

#define P_PIPED (1<<0)

## ◆ p_printer

#define p_printer p_un.pu_pr.pr_printer

## ◆ P_REGISTERED

#define P_REGISTERED (1<<2)

## ◆ p_spool

#define p_spool p_un.pu_pr.pr_spool

## ◆ P_SPOOLED

#define P_SPOOLED (1<<1)

## Variable Documentation

## ◆ printer

struct printer* printer
| extern